> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List vulnerabilities

> Return the paginated list of CVE vulnerabilities detected across your fleet, with CVSS scores, EPSS probabilities, and host counts.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /software/vulnerabilities
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/vulnerabilities:
    get:
      tags:
        - Softwares
      summary: List vulnerabilities
      description: >-
        Return the paginated list of CVE vulnerabilities detected across your
        fleet, with CVSS scores, EPSS probabilities, and host counts.
      operationId: getVulnerabilities
      parameters:
        - name: exploit
          required: false
          in: query
          description: Filter by known exploit availability
          schema:
            type: boolean
        - name: query
          required: false
          in: query
          description: Free-text search on the CVE identifier
          schema:
            type: string
        - name: orderDirection
          required: false
          in: query
          description: Order direction
          schema:
            enum:
              - asc
              - desc
            type: string
        - name: orderKey
          required: false
          in: query
          description: Field to order results by
          schema:
            enum:
              - cve
              - cvss_score
              - epss_probability
              - cve_published
              - created_at
              - hosts_count
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
        - name: perPage
          required: false
          in: query
          description: Number of items per page (max 100)
          schema:
            type: number
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetVulnerabilities_Output'
components:
  schemas:
    GetVulnerabilities_Output:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              cve:
                type: string
              createdAt:
                type: string
              hostsCount:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              hostsCountUpdatedAt:
                type: string
              detailsLink:
                type: string
              cvssScore:
                anyOf:
                  - type: number
                  - type: 'null'
              epssProbability:
                anyOf:
                  - type: number
                  - type: 'null'
              cisaKnownExploit:
                anyOf:
                  - type: boolean
                  - type: 'null'
              cvePublished:
                anyOf:
                  - type: string
                  - type: 'null'
              cveDescription:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - cve
              - createdAt
              - hostsCount
              - hostsCountUpdatedAt
              - detailsLink
              - cvssScore
              - epssProbability
              - cisaKnownExploit
              - cvePublished
              - cveDescription
            additionalProperties: false
        pagination:
          type: object
          properties:
            page:
              type: integer
              minimum: 1
              maximum: 9007199254740991
            perPage:
              type: integer
              minimum: 1
              maximum: 100
            hasNextPage:
              type: boolean
            hasPreviousPage:
              type: boolean
            totalElements:
              anyOf:
                - type: integer
                  minimum: 0
                  maximum: 9007199254740991
                - type: 'null'
          required:
            - page
            - perPage
            - hasNextPage
            - hasPreviousPage
            - totalElements
          additionalProperties: false
      required:
        - data
        - pagination
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````